Subject: Re: [DKIM] Re: [devel-ipsec] [RFC ipsec-next v2 0/8] Add IP-TFS mode to xfrm

From: Antony Antony <[email-masked]>
Date: Mon, 20 Nov 2023 21:00:43 +0100

On Mon, Nov 20, 2023 at 01:39:50PM -0500, Christian Hopps via Devel wrote:
> 
> Andrew Cagney <[email-masked]> writes:
> 
> > > I did a multiple days peer review with Chris on this pachset. So my
> > > concerns are already addressed.
> > > 
> > > Further reviews are welcome! This is a bigger change and it would
> > > be nice if more people could look at it.
> > 
> > I have a usability question.  What name should appear when a user
> > interacts with and sees log messages from this feature?
> >     ip-tfs, IP-TFS, IP_TFS
> > or:
> >    iptfs, IPTFS, ...
> 
> I think no `-` or `_` in the code/api. For documentation it is probably better to hew closer to the RFC and use `IP-TFS`.

That sounds good. However,
iproute2 output, ip xfrm state, or "ip xfrm policy" is that documentation or code?

current unsubmitted patch shows: "iptfs"

src 192.1.2.23 dst 192.1.2.45
	proto esp spi 0x76ee6b87(1995336583) reqid 16389(0x00004005) mode iptfs

root@west:/testing/pluto/ikev2-74-iptfs-01 (iptfs-aa-20231120)# ip  x p
src 192.0.1.0/24 dst 192.0.2.0/24
	dir out priority 1757393 ptype main
	tmpl src 192.1.2.45 dst 192.1.2.23
		proto esp reqid 16389 mode iptfs

-antony